Bug 223039

Summary: Review Request: libgimme-codec - Helper library for automated codecs installation
Product: [Fedora] Fedora Reporter: Bastien Nocera <bnocera>
Component: Package ReviewAssignee: Matthias Clasen <mclasen>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, notting, tim
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-02-19 11:01:57 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 188268    
Attachments:
Description Flags
updated spec none

Description Bastien Nocera 2007-01-17 12:16:52 EST
Spec URL: http://people.redhat.com/bnocera/libgimme-codec/libgimme-codec.spec
SRPM URL: http://people.redhat.com/bnocera/libgimme-codec/libgimme-codec-0.0.0-1.src.rpm
Description: 
libgimme-codec allows programs that use it to call a helper script when
a video or audio codec is unhandled by the media framework in use.
Comment 1 Bastien Nocera 2007-01-17 12:17:42 EST
libgimme-codec is an optional dependency of Totem, which is in Core.
Comment 2 Christopher Stone 2007-01-17 12:21:33 EST
buildroot does not match preferred tag:
http://fedoraproject.org/wiki/Packaging/Guidelines#head-f196e7b2477c2f5dd97ef64e8eacddfb517f1aa1
Comment 4 Matthias Clasen 2007-01-17 12:41:43 EST
Currently libgimme-codec requires cvs gstreamer (0.10.11.1). Bastian says that a
new gstreamer release is expected soon.
Comment 5 Bastien Nocera 2007-01-17 12:48:43 EST
(In reply to comment #4)
> Currently libgimme-codec requires cvs gstreamer (0.10.11.1). Bastian says that a
> new gstreamer release is expected soon.

Bit of a confusion there I guess. libgimme-codec support in Totem requires
gstreamer core 0.10.11.1, libgimme-codec needs nothing but a libc to compile.
Comment 6 Matthias Clasen 2007-01-17 20:48:03 EST
Oh, my bad
Comment 7 Matthias Clasen 2007-01-18 21:37:59 EST
Some more comments before starting a real review:

I have to wonder if this single 200 line source file + header is really 
worth packaging as a shared library. Wouldn't it be much easier to just
copy these two files into the applications where it is needed ?


Anyway, if we want to go ahead with this micro-package, rpmlint has some complaints:

rpmlint libgimme-codec-0.0.0-1.i386.rpm 
E: libgimme-codec no-ldconfig-symlink /usr/lib/libgimme-codec.so.0.0.0
W: libgimme-codec no-documentation

rpmlint libgimme-codec-devel-0.0.0-1.i386.rpm 
W: libgimme-codec-devel no-documentation
E: libgimme-codec-devel script-without-shebang /usr/include/gimme-codec.h


Also,

Requires: %name = %{version}

should be %{version}-%{release}
Comment 8 Bastien Nocera 2007-01-19 05:20:23 EST
Totem wouldn't be the only application using this library, Rhythmbox, and other
GStreamer-based applications would be using this library as well. It would also
probably be the place where the Fedora/RHEL specific download-scripts would be
added.
Comment 9 Matthias Clasen 2007-01-19 21:17:13 EST
Created attachment 146050 [details]
updated spec

Here is a slightly updated spec that addresses the rpmlint errors. it installs 

a .0 symlink for the library and installs the headers with proper permissions.
Comment 10 Matthias Clasen 2007-01-19 21:57:04 EST
Starting a formal review based on the modified spec:

+ rpmlint only warns about missing docs, which is fine
+ package is named according to the naming guidelines
+ spec name equal package name
+ spec follows packaging guidelines
+ license is LGPL
+ license tag matches actual license
+ tarball doesn't include license file
+ spec file is in English
+ spec file is legible
+ md5sums of upstream source matches
+ package built fine in mock
+ BuildRequires are complete
+ no locale data
+ ldconfig called in %post and %postun
+ package not relocatable
+ package owns all created directories
+ file lists contain no dupes
+ files have proper permissions, all file lists have %defattr
+ %clean is there
+ macros are used consistently
+ package contains code
+ headers are in -devel
+ -devel requires base
+ no .pc files 
+ no .la files
+ no desktop files
+ package does not own standard directories

Accepted
Comment 11 Bastien Nocera 2007-01-26 12:16:01 EST
Putting this on hold, as it's pretty much agreed that GStreamer should provide
this functionality directly:

http://bugzilla.gnome.org/show_bug.cgi?id=401072
http://bugzilla.gnome.org/show_bug.cgi?id=401074
Comment 12 Bastien Nocera 2007-02-19 11:01:57 EST
The functionality has been moved to GStreamer itself, closing.